
/*
===============================================================================
 prsum2c.c                                         A.Lambert le 04/10/05

 construction de 2 fonctions qui ecrivent dans un fichier les matrices de subs-
 titution sous un format directement utilisable par un programme en C.

  cc -O2 -Wall -c prsum2c.c -I../include ;

===============================================================================
*/
#include "rnaIV.h"

void PrhSum2c(FILE *txt, double **M);
void PrsSum2c(FILE *txt, double **M);
/*
===============================================================================
 PrhSum2c(): ecrit dans le fichier pointe par 'txt' la matrice de substitution
             des helices sous un format directement utilisable par un programme
	     en C.
===============================================================================
*/

void PrhSum2c(FILE *txt, double **M)
{
  int  i, j, nl, nc;

  nl = nc = SQR_ALPHA_LEN;

  fprintf(txt, "\n double DefaultHlxSum[%d][%d] = {\n", nl, nc);

  for (i = 0; i < nl; i++)
  {
      fprintf(txt, "     { %.3e", M[i][0]);     /* debut de ligne du tableau */

      for (j = 1; j < nc; j++)  fprintf(txt, ", %.3e", M[i][j]); /* suite .. */

      fprintf(txt, " },\n");                      /* fin de ligne du tableau */
  }

  fprintf(txt, "};\n\n");
}
/*
===============================================================================
 PrsSum2c(): ecrit dans le fichier pointe par 'txt' la matrice de substitution
             des brins sous un format directement utilisable par un programme
	     en C.
===============================================================================
*/

void PrsSum2c(FILE *txt, double **M)
{
  int  i, j, nl, nc;

  nl = nc = ALPHA_LEN;

  fprintf(txt, "\n double DefaultStSum[%d][%d] = {\n", nl, nc);

  for (i = 0; i < nl; i++)
  {
      fprintf(txt, "     { %.3e", M[i][0]);     /* debut de ligne du tableau */

      for (j = 1; j < nc; j++)  fprintf(txt, ", %.3e", M[i][j]); /* suite .. */

      fprintf(txt, " },\n");                      /* fin de ligne du tableau */
  }

  fprintf(txt, "};\n\n");
}
