
/*=============================================================================
 Helix.c                               A.Lambert le 19/11/01

 test des fonctions destinees a construire un profil d'helice.

 cc -O3 -Wall -o Helix Helix.c -I../include -L../lib -lrnaIV -lm ;
 strip Helix ;

 Helix  ~/devc/projets/bio/data/trsetsII/trna.db   -7,7
 Helix  ~/devc/projets/bio/data/trsetsII/trna.db   -4,4

=============================================================================*/

#include "rnaIV.h"

/*===========================================================================*/
 
int main(int argc, char *argv[])
{
  Trset   *trset;
  Pattern *pattern;
  int     i, height = SQR_ALPHA_LEN + 2 * ALPHA_LEN;

  if (argc < 3) {
      fprintf(stderr, "'%s' needs at least 2 arg, exit..\n", argv[0]);
      exit(1);
  }
  trset = ReadTrset(argv[1], 'V', stdout);
  pattern = ReadPattern(argv[2], trset);

  if (pattern->nhx == 0) {
      printf("0 helix found in pattern (%s), exit..\n", argv[2]);
      exit(1);
  }
  InitStatTables();

  for (i = 0; i < pattern->nhx; i++)
  {
      GetHlxProfile(trset, pattern->hlx + i);
      fPrintfdMat(pattern->hlx[i].Profile, height,
                  pattern->hlx[i].helix_len, stdout);
  }
  
  DelHlxTable(pattern->hlx, pattern->nhx);
  DelTrset(trset);
  exit(0);
} 
/*===========================================================================*/
