
/*=============================================================================
 Strand.c                               A.Lambert le 19/11/01

 test des fonctions destinees a construire un profil de brin avec ou sans gaps.

 cc -O3 -Wall -o Strand Strand.c -I../include -L../lib -lrnaIV -lm ;
 strip Strand ;

 Strand  ~/devc/projets/bio/data/trsetsII/trna.db   5,5 ;       brin avec gaps
 Strand  ~/devc/projets/bio/data/trsetsII/trna.db   8,8 ;       brin sans gaps

=============================================================================*/

#include "rnaIV.h"

/*===========================================================================*/
 
int main(int argc, char *argv[])
{
  Trset   *trset;
  Pattern *pattern;
  int     i, height;

  if (argc < 3) {
      fprintf(stderr, "'%s' needs at least 2 arg, exit..\n", argv[0]);
      exit(1);
  }
  trset = ReadTrset(argv[1], 'V', stdout);
  pattern = ReadPattern(argv[2], trset);

  if (pattern->nst == 0) {
      printf("0 strand found in pattern (%s), exit..\n", argv[2]);
      exit(1);
  }
  InitStatTables();
  height = ALPHA_LEN + 2;

  for (i = 0; i < pattern->nst; i++)
  {
      GetStProfile(trset, pattern->std + i);
      fPrintfdMat(pattern->std[i].Profile, height,
                  pattern->std[i].max_len, stdout);
  }
  
  DelStdTable(pattern->std, pattern->nst);
  DelTrset(trset);
  exit(0);
} 
/*===========================================================================*/
