SHELL = /bin/sh

# Fichier 'tools.mk'      cree le 10/03/05        A.Lambert  CPT
# Usage:    make -f tools.mk ;                    recompile les programmes,
#           make -f tools.mk Strand ;             recompile 'Strand', etc..
#
#------------------------------------------------------------------------------

INCLUDE = ../include
LIBDIR = ../lib

CC = cc
CFLAGS = -O3 -Wall
INCL = -I${INCLUDE}
LIBS = -L${LIBDIR} -lrnaIV -lm

#------------------------------------------------------------------------------

exes:  Helix Strand mcfgs

Helix: ${INCLUDE}/rnaIV.h ${LIBDIR}/librnaIV.a Helix.c
	${CC} ${CFLAGS} ${INCL} -o $@ $@.c ${LIBS} ; \
	strip $@ ; \
	chmod 755 $@ ;

Strand: ${INCLUDE}/rnaIV.h ${LIBDIR}/librnaIV.a  Strand.c
	${CC} ${CFLAGS} ${INCL} -o $@ $@.c ${LIBS} ; \
	strip $@ ; \
	chmod 755 $@ ;

mcfgs: ${INCLUDE}/rnaIV.h ${LIBDIR}/librnaIV.a  mcfgs.c
	${CC} ${CFLAGS} ${INCL} -o $@ $@.c ${LIBS} ; \
	strip $@ ; \
	chmod 755 $@ ;
